RGBAComponentKind (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum RGBAComponentKind

- java.lang.Object
- - java.lang.Enum<RGBAComponentKind>
  - - tv.amwa.maj.enumeration.RGBAComponentKind

- All Implemented Interfaces:
    Serializable, Comparable<RGBAComponentKind>, MediaEnumerationValue

      public enum RGBAComponentKind
      extends Enum<RGBAComponentKind>
      implements MediaEnumerationValue

  Specifies the color or function of a component within a pixel, for example whether the component a red level, palette index etc..

  The AAF object specification specifies these values as single byte characters. To find the specified character, call `charValue()`. To find the enumeration constant corresponding to a character, call `fromSpecifiedCode(char)`.

  Original C name: `aafRGBAComponentKind_e`

  See Also:
    `RGBAComponent`, `TypeDefinitions.RGBAComponentKind`, `RGBADescriptor.getPixelLayout()`, `RGBADescriptor.getPaletteLayout()`, `TypeDefinitions.RGBALayout`, `CompArray`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Alpha` Alpha component.
    `Blue` Blue component.
    `Fill` Fill component.
    `Green` Green component.
    `None` No component.
    `Null` Terminates the list of components.
    `Palette` Palette component.
    `Red` Red component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `charValue()` Value of the enumeration as defined in the AAF object specification.
    `static RGBAComponentKind` | `fromSpecifiedCode(char code)` Returns the enumeration constant matching the given code that should match that specified in the AAF object specification.
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static RGBAComponentKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RGBAComponentKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Red

          public static final RGBAComponentKind Red

      Red component.

    - #### Green

          public static final RGBAComponentKind Green

      Green component.

    - #### Blue

          public static final RGBAComponentKind Blue

      Blue component.

    - #### Alpha

          public static final RGBAComponentKind Alpha

      Alpha component.

    - #### Fill

          public static final RGBAComponentKind Fill

      Fill component.

    - #### Palette

          public static final RGBAComponentKind Palette

      Palette component.

    - #### None

          public static final RGBAComponentKind None

      No component.

    - #### Null

          public static final RGBAComponentKind Null

      Terminates the list of components.

  - ### Method Detail

    - #### values

          public static RGBAComponentKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RGBAComponentKind c : RGBAComponentKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RGBAComponentKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### charValue

          public char charValue()

      Value of the enumeration as defined in the AAF object specification.

      Returns:
        Value defined in AAF specification.

    - #### fromSpecifiedCode

          public static final RGBAComponentKind fromSpecifiedCode(char code)

      Returns the enumeration constant matching the given code that should match that specified in the AAF object specification. For example, calling this method with '`R`' will return `Red`.

      Parameters:
        `code` - Character specified to represent an RGBA component kind.
      Returns:
        Corresponding enumeration constant, or `null` if the code is not recognised.

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.